All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
pruio_out.bi File Reference

Pre-defined macros to print out the subsystems configurations. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | REG(_R_) /* RIGHT(" " & #_R_, 17) & ": " & HEX(.##_R_, SIZEOF(.##_R_) * 2) */
| Output the context of a single register.
#define | DEV(_N_)
| Output the start of a set. More...
#define | BALL_OUT(OUT_TYPE)
| Output the CPU ball configuration. More...
#define | GPIO_OUT(OUT_TYPE)
| Output the configuration of all GPIO subsystems.
#define | PWMSS_OUT(OUT_TYPE)
| Output the configuration of all PWMSS subsystems.
#define | ADC_OUT(OUT_TYPE)
| Output the configuration of the ADC subsystem.

## Detailed Description

Pre-defined macros to print out the subsystems configurations.

This file contains macros to print out the configuration of the subsystems handled by libpruio. The destructors runs the pruio__init.p code, which collects the register context of each subsystem. These convenience macros can print out all that register context.

Definition in file pruio_out.bi.

## Macro Definition Documentation

#define BALL_OUT | ( |  | OUT_TYPE | ) |

Value:
/* (multi line FreeBasic #MACRO)
?!"\nControl Module (DeAd: " & HEX(.OUT_TYPE->DeAd, 8) & ")"
FOR i AS INTEGER = 0 TO UBOUND(.OUT_TYPE->Value)
?" " & *.get_config(i)
NEXT
#ENDMACRO */

Output the CPU ball configuration.

Definition at line 20 of file pruio_out.bi.

#define DEV | ( |  | _N_ | ) |

Value:
/* !"\n" & _N_ & _
" (DeAd: " & HEX(.DeAd, 8) & _
", ClAd: " & HEX(.ClAd, 8) & _
", ClVa: " & HEX(.ClVa, 8) & ")" */

Output the start of a set.

Definition at line 14 of file pruio_out.bi.